TimerNotification (Java Platform SE 8 )
Keywords: javax.management.timer.TimerNotification class
Date: 2017-07-29

compact3
javax.management.timer

## Class TimerNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - javax.management.timer.TimerNotification

- All Implemented Interfaces:
    Serializable

      public class TimerNotification
      extends Notification

  This class provides definitions of the notifications sent by timer MBeans.
  It defines a timer notification identifier which allows to retrieve a timer notification from the list of notifications of a timer MBean.

  The timer notifications are created and handled by the timer MBean.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)` Creates a timer notification object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getNotificationID()` Gets the identifier of this timer notification.

    - ### Methods inherited from class javax.management.Notification

      `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerNotification

          public TimerNotification(String type,
                                   Object source,
                                   long sequenceNumber,
                                   long timeStamp,
                                   String msg,
                                   Integer id)

      Creates a timer notification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification producer.
        `sequenceNumber` - The notification sequence number within the source object.
        `timeStamp` - The notification emission date.
        `msg` - The notification message.
        `id` - The notification identifier.

  - ### Method Detail

    - #### getNotificationID

          public Integer getNotificationID()

      Gets the identifier of this timer notification.
      Returns:
        The identifier.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.